package com.jeethink.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jeethink.common.annotation.Excel;
import com.jeethink.common.core.domain.BaseEntity;

/**
 * 测试对象 ceshi_info
 * 
 * @author sh
 * @date 2022-03-01
 */
public class CeshiInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String ceshiId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer age;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    public void setCeshiId(String ceshiId) 
    {
        this.ceshiId = ceshiId;
    }

    public String getCeshiId() 
    {
        return ceshiId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setAge(Integer age) 
    {
        this.age = age;
    }

    public Integer getAge() 
    {
        return age;
    }
    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ceshiId", getCeshiId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("age", getAge())
            .append("time", getTime())
            .toString();
    }
}
